<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__uuid__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_uuid_t</compoundname>
    <includes local="no">wiced_bt_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__uuid__t_1a9da11435df94cf0b81fc5e08af61849f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_uuid_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>UUID length. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="105" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="105" />
      </memberdef>
      <memberdef id="structwiced__bt__uuid__t_1aeecb37fde2935fb7e2900da67a380be7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_uuid_t::uuid16</definition>
        <argsstring />
        <name>uuid16</name>
        <briefdescription>
<para>16-bit UUID </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="110" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="110" />
      </memberdef>
      <memberdef id="structwiced__bt__uuid__t_1a4ab339dc4a43df2dc88f2acd787e7493" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_uuid_t::uuid32</definition>
        <argsstring />
        <name>uuid32</name>
        <briefdescription>
<para>32-bit UUID </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="111" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="111" />
      </memberdef>
      <memberdef id="structwiced__bt__uuid__t_1a0043e23b06269285293d4cab5555ca0f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_uuid_t::uuid128[MAX_UUID_SIZE]</definition>
        <argsstring>[MAX_UUID_SIZE]</argsstring>
        <name>uuid128</name>
        <briefdescription>
<para>128-bit UUID </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="112" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="112" />
      </memberdef>
      <memberdef id="structwiced__bt__uuid__t_1ad38fa979a430a5a40d5baa82b504a276" kind="variable" mutable="no" prot="public" static="no">
        <type>union wiced_bt_uuid_t::@1</type>
        <definition>union wiced_bt_uuid_t::@1  wiced_bt_uuid_t::uu</definition>
        <argsstring />
        <name>uu</name>
        <briefdescription>
<para>UUID Data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="113" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>UUID Type. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="115" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="99" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="100" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__uuid__t_1a9da11435df94cf0b81fc5e08af61849f" virt="non-virtual"><scope>wiced_bt_uuid_t</scope><name>len</name></member>
      <member prot="public" refid="structwiced__bt__uuid__t_1ad38fa979a430a5a40d5baa82b504a276" virt="non-virtual"><scope>wiced_bt_uuid_t</scope><name>uu</name></member>
      <member prot="public" refid="structwiced__bt__uuid__t_1a0043e23b06269285293d4cab5555ca0f" virt="non-virtual"><scope>wiced_bt_uuid_t</scope><name>uuid128</name></member>
      <member prot="public" refid="structwiced__bt__uuid__t_1aeecb37fde2935fb7e2900da67a380be7" virt="non-virtual"><scope>wiced_bt_uuid_t</scope><name>uuid16</name></member>
      <member prot="public" refid="structwiced__bt__uuid__t_1a4ab339dc4a43df2dc88f2acd787e7493" virt="non-virtual"><scope>wiced_bt_uuid_t</scope><name>uuid32</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>